./devel/p5-Test-Harness, Run Perl standard test scripts with statistics

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 3.39, Package name: p5-Test-Harness-3.39, Maintainer: pkgsrc-users

Although, for historical reasons, the Test::Harness distribution takes its
name from this module it now exists only to provide TAP::Harness with an
interface that is somewhat backwards compatible with Test::Harness 2.xx. If
you're writing new code consider using TAP::Harness directly instead.
Emulation is provided for "runtests" and "execute_tests" but the pluggable
'Straps' interface that previous versions of Test::Harness supported is not
reproduced here. Straps is now available as a stand alone module:
Test::Harness::Straps. See TAP::Parser, TAP::Harness for the main
documentation for this distribution.


Required to run:
[lang/perl5]

Required to build:
[pkgtools/cwrappers]

Master sites: (Expand)

SHA1: c3c38535ab47e68b4c22f6735a3d821908045736
RMD160: e0eaf923b2d035026e14d00968dd3e08765f60a5
Filesize: 206.597 KB

Version history: (Expand)


CVS history: (Expand)


   2017-04-16 17:24:30 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Updated devel/p5-Test-Harness to 3.39
-------------------------------------
3.39    06-04-2017
        - Make tests pass when PERL_USE_UNSAFE_INC=0
   2017-03-20 14:51:22 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Updated devel/p5-Test-Harness to 3.38
-------------------------------------
3.38    13-03-2017
        - Released 3.37_01 without changes

3.37_01
        - Set PERL_USE_UNSAFE_INC when running tests using Test::Harness (Leon \ 
Timmermans)
        - Avoid loading optional modules from . in prove
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2016-04-14 14:46:41 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Update p5-Test-Harness to 3.36.

        - Accept YAML with trailing whitespace in header (Maik Hentsche)
        - Stop bundling Test::More for testing
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2015-01-28 03:30:48 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Update to 3.35
3.35    2015-01-14
        - Fix prove --version to actually print the version (Leon Timmermans, \ 
#101216)
        - Add --version to usage message (Leon Timmermans, #101215)
   2014-11-06 03:05:37 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 3.34

Upstream changes:
3.34    2014-11-02
        - Enable printing CPU times spent per test (Jarkko Hietaniemi)

3.33    2014-08-16
        - Various documentation fixes (Leon Timmermans, Justin Cook)